SimpleItem Class Reference

Simple implementation for storage item. More...

`#include <SimpleItem.h>`

Inheritance diagram for SimpleItem:

## Public Member Functions

| SimpleItem ()
| Constructor.
virtual | ~SimpleItem ()
| Destructor.
virtual bool | write (qint64 aOffset, const QByteArray &aData)
virtual bool | read (qint64 aOffset, qint64 aLength, QByteArray &aData) const
virtual bool | resize (qint64 aLen)
virtual qint64 | getSize () const
| SimpleItem ()
| Constructor.
virtual | ~SimpleItem ()
| Destructor.
virtual bool | write (qint64 aOffset, const QByteArray &aData)
virtual bool | read (qint64 aOffset, qint64 aLength, QByteArray &aData) const
virtual bool | resize (qint64 aLen)
virtual qint64 | getSize () const

## Detailed Description

Simple implementation for storage item.

This implementation can be used when data of the item is so small in size that it can be cached in memory

## Member Function Documentation

## getSize() [1/2]

virtual qint64 SimpleItem::getSize | ( |  | ) | const

virtual

See also
  StorageItem::getSize()

## getSize() [2/2]

virtual qint64 SimpleItem::getSize | ( |  | ) | const

virtual

See also
  StorageItem::getSize()

## read() [1/2]

virtual bool SimpleItem::read | ( | qint64 | aOffset,
|  | qint64 | aLength,
|  | QByteArray & | aData ) const

virtual

See also
  StorageItem::read()

## read() [2/2]

virtual bool SimpleItem::read | ( | qint64 | aOffset,
|  | qint64 | aLength,
|  | QByteArray & | aData ) const

virtual

See also
  StorageItem::read()

## resize() [1/2]

virtual bool SimpleItem::resize | ( | qint64 | aLen | ) |

virtual

See also
  StorageItem::resize()

## resize() [2/2]

virtual bool SimpleItem::resize | ( | qint64 | aLen | ) |

virtual

See also
  StorageItem::resize()

## write() [1/2]

virtual bool SimpleItem::write | ( | qint64 | aOffset,
|  | const QByteArray & | aData )

virtual

See also
  StorageItem::write()

## write() [2/2]

virtual bool SimpleItem::write | ( | qint64 | aOffset,
|  | const QByteArray & | aData )

virtual

See also
  StorageItem::write()

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/SimpleItem.h
- syncmlcommon/SimpleItem.h